 /*
  * @(#) inetcf.h 1.1 94/12/28 17:42:30
  * 
  * Author: Wietse Venema, Eindhoven University of Technology, The Netherlands.
  */

#ifndef INETCF_HEADER
#define INETCF_HEADER

const char *inet_cfg(const char *);		/* read inetd.conf file */
void inet_set(const char *, int);	/* remember internet service */
int inet_get(const char *);		/* look up internet service */

#define WR_UNKNOWN	(-1)		/* service unknown */
#define WR_NOT		1		/* may not be wrapped */
#define WR_MAYBE	2		/* may be wrapped */
#define	WR_YES		3		/* service is wrapped */

#endif

