
Summary:	A security tool that acts as a socket wrapper for daemons.
Name:		socket_wrappers	
Version:	7.6k
Release:	1
License:	Public Domain
Vendor:		Steve Grubb (originally by Wietse Venema)
Group:		System Environment/Daemons
Packager:	Steve Grubb <linux_4ever@yahoo.com>
URL:		http://www.web-insights.net/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	tcp_wrappers	
Obsoletes:	tcp_wrappers	

%description
Socket_wrappers is a refined version of tcp_wrappers originally written by 
Wietse Venema. 
 
%prep
#rm -rf $RPM_BUILD_ROOT

%setup

%build
  make linux

%install
mkdir -p $RPM_BUILD_ROOT/usr/
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{3,5,8}
install -m 755 tcpd $RPM_BUILD_ROOT/usr/sbin
install -m 755 tcpdchk $RPM_BUILD_ROOT/usr/sbin
install -m 755 tcpdmatch $RPM_BUILD_ROOT/usr/sbin
install -m 755 try-from $RPM_BUILD_ROOT/usr/sbin
install -m 755 safe_finger $RPM_BUILD_ROOT/usr/sbin
install -m 644 tcpd.h $RPM_BUILD_ROOT/usr/include
install -m 644 libwrap.a $RPM_BUILD_ROOT/usr/lib
install -m 644 *.3 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 *.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%doc CHANGES BLURB README  README_SOCKET_WRAPPERS
%{_sbindir}/*
%{_libdir}/*
%{_includedir}/*
%{_mandir}/*/*
 
